Skip to navigation

Get PlateRecord by ID

Get a single PlateRecord by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

plate_record_idstringRequired
ID of the PlateRecord.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
barcodestring or nullOptional
The plate's barcode, when one has been recorded.
createdAtstring or nullOptional
heightintegerOptional
idstringOptional
isHiddenbooleanOptional
Whether the plate record is hidden from the plate's sidebar list.
layerslist of objectsOptional
modifiedAtstring or nullOptional
namestringOptional
plateSchemaobject or nullOptional

The plate schema associated with this plate record. Used as the default schema when converting to an inventory plate via bulk-put-in-inventory; can be overridden per-item in that call.

storageIdstring or nullOptional
The plate's storage location identifier, when one has been recorded.
widthintegerOptional

Errors

400
Plate Record Get Request Bad Request Error
403
Plate Record Get Request Forbidden Error
404
Plate Record Get Request Not Found Error
429
Plate Record Get Request Too Many Requests Error
500
Plate Record Get Request Internal Server Error